Skip to main content
PUT
/
accounts
/
{accountId}
/
details
/
{detailId}
Update account detail
curl --request PUT \
  --url https://api-dev.paygen.online/accounts/{accountId}/details/{detailId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "bank_account",
  "details": {},
  "provider": "<string>",
  "isPrimary": true
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "type": "<string>",
    "details": {},
    "provider": "<string>",
    "isPrimary": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required
detailId
string
required

Body

application/json
type
enum<string>
Available options:
bank_account,
crypto_wallet
details
object
provider
string
isPrimary
boolean

Response

200 - application/json

Account detail updated successfully.

statusCode
integer
required
message
string
required
data
object